DRM_ATOMIC_HELPER_PA(9)

NAME
drm_atomic_helper_page_flip - execute a legacy page flip

SYNOPSIS

int drm_atomic_helper_page_flip(struct drm_crtc * crtc, struct drm_framebuffer * fb, struct drm_pending_vblank_event * event, uint32_t flags);

ARGUMENTS

crtc
    DRM crtc

fb
    DRM framebuffer

event
    optional DRM event to signal upon completion

flags
    flip flags for non-vblank sync'ed updates

DESCRIPTION

Provides a default page flip implementation using the atomic driver interface.

Note that for now so called async page flips (i.e. updates which are not synchronized to vblank) are not supported, since the atomic interfaces have no provisions for this yet.

RETURNS

Returns 0 on success, negative errno numbers on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT